/**
     io.h

     input/output primitives

     Petr Zika 2002
*/

#ifndef _IO_H
#define _IO_H

#include "../comdefs.h"

#define EOF -1

/* own streams */
#define stdin 0
#define stdout 1
#define stderr 2

/* macros */
#define putc(c,f)  fputc(c,f)
#define putchar(c) fputc(c,stdout)
#define getc(f)    fgetc(f)
#define getchar()  fgetc(stdin)


EXPORT int printf(char *str, ...);
EXPORT int fprintf(int fd, char *str, ...);
EXPORT int fgetc(int fd);
EXPORT int fputc(int c, int fd);
EXPORT char *fgets(char *s, size_t size, int fd);
EXPORT int fputs(const char *s, int fd);

#endif /* ifndef _IO_H */

