/**
     utils.c

     support functions
 
     Petr Zika 2002
*/       
                                                                                                        
#include <stdlib.h>
#include <string.h>
#include "../comdefs.h"
#include "utils.h"
#include "../errors/errors.h"

/** safe malloc function */ 
GLOBAL void *safe_malloc(size_t size)
{
   void *p;
 
   if ((p = malloc(size)) == NULL) {
      return_handler(1);      /* return to error handler in case */
      fatal("malloc error"); /* otherwise throw fatal */
   } 
   return p;
}    

/** safe string duplicate function */
GLOBAL char *safe_strdup(char *s)
{
   int l = strlen(s) + 1;
   char *t = MALLOC(l*sizeof(char));

   return strcpy(t,s);
}

#ifdef TEST_UTILS

#include <stdio.h>

int main(void)
{
   char *s, *t;

   s = MALLOC(11);

   strcpy(s,"1234567890");
   printf("test - %s\n",s);

   t = STRDUP(s);
   printf("test 2 - %s\n",t);

   free(s);
   free(t);

   return 0;
}

#endif

